import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import { withKnobs, boolean, text} from '@storybook/addon-knobs';
import readme from './readme.md';

<Meta title="Form/digi-form-fieldset" />

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the standard form fieldset.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-form-fieldset
        af-legend="${text('Legend','This is a legend')}"
        af-name="${text('Fieldset name','Fieldset name')}"
        af-form="${text('Fieldset form','FieldsetForm')}"
      >
        <digi-form-input af-label="Label"></digi-form-input>
        <br/>
        <digi-button>Submit</digi-button>
      </digi-form-fieldset>
    `}
  </Story>
</Canvas>
